Bug 1297724 - Document that the API is available on the Capsule on port 8443
Document that the API is available on the Capsule on port 8443
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs API Guide (Show other bugs)
6.1.5
Unspecified Unspecified
medium Severity medium (vote)
: Beta
: 6.2
Assigned To: David O'Brien
Peter Ondrejka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 05:20 EST by Evgeni Golov
Modified: 2016-04-27 20:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-27 20:07:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeni Golov 2016-01-12 05:20:59 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html/API_Guide/chap-Red_Hat_Satellite-API_Guide-Introduction_to_Red_Hat_Satellite.html

Section Number and Name: 
wherever fits best

Describe the issue: 
The docs currently only talk about talking HTTPS to the Satellite machine if one needs the API and do not mention how the API can be accessed via the Capsule. The naïve user would try to talk HTTPS (on port 443) to the Capsule too and fail as the proxy is on port 8443.

Suggestions for improvement:
Document the API ports for Satellite as being 443 and Capsule as being 8443. 

Additional information: 
Another solution could be to proxy the API on 443, not sure what's best here.
Comment 1 Andrew Dahms 2016-01-31 22:14:58 EST
Assigning to David for review.
Comment 2 Andrew Dahms 2016-01-31 22:15:24 EST
Assigning Peter as the QA contact.
Comment 6 Evgeni Golov 2016-02-15 13:09:00 EST
JFTR for everyone implementing this (and this probably should also go to the docs). You can read the correct port needed from /etc/rhsm/rhsm.conf* in "port" of the "server" section. Thus this can be fully automated and does not need any guessing about "who to speak to".

*obviously, only if the machine is subscribed to Satellite/Capsule
Comment 7 David O'Brien 2016-02-15 22:04:09 EST
commit 0fffd9c8800e4e1af9ce06e838844498553e369d
Author: David O'Brien <daobrien@redhat.com>
Date:   Tue Feb 16 12:49:07 2016 +1000

    bz1297724 Expand example and description on API access.

    Included #c5 in BZ about modifying URL to include port number.

    Included #c6 about determining port numbers from rhsm.conf file.
Comment 10 David O'Brien 2016-02-17 23:07:18 EST
Thanks Peter and Evgeni. I've made that minor patch and merged it all into master.
Comment 12 Andrew Dahms 2016-04-27 20:07:02 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.